Bug 254095 - yum only showing i386 packages for install or update on an x86_64 install
yum only showing i386 packages for install or update on an x86_64 install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 23:18 EDT by -M
Modified: 2014-01-21 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 16:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description -M 2007-08-23 23:18:16 EDT
yum is only showing i386 packages for install or update on my x86_64 install and
according to the yum wiki this is unexpected behavior.

I have verified that it's accessing the proper repos and that there is no
exclude in my yum.conf file and uname -p show x86_64.

Thus I can find no explanation for this behavior, hence the bug report.
Comment 1 Jeremy Katz 2007-08-24 09:50:12 EDT
What's in /etc/rpm/platform?

And can you provide yum -d6 update?  
Comment 2 -M 2007-08-24 15:45:51 EDT
cat /etc/rpm/platform
i686-redhat-linux

I changed that to read:

x86_64-fedora-linux

Now, it functions correctly, seems like that's something that should have
changed during the update procedure.

I haven't found the usage of that file for yum documented anywhere, is it?

Comment 3 Jeremy Katz 2007-08-24 16:15:04 EDT
Upgrading from one arch to another isn't supported and the installer says that
during the upgrade procedure.

Note You need to log in before you can comment on or make changes to this bug.